Bug 589010 - PackageKit Cannot be Dismissed - Keeps Saying One Package Is Available Even if None are There
PackageKit Cannot be Dismissed - Keeps Saying One Package Is Available Even i...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-05 02:19 EDT by David Le Sage
Modified: 2011-06-27 12:06 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:06:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing PackageKit Saying an Update is Available Whilst yum update (in Terminal) Reports Nothing is There (132.04 KB, image/png)
2010-05-05 02:21 EDT, David Le Sage
no flags Details
Screenshot showing discrepancy between number of packages PackageKit Says are Available and Those there in Reality. (77.44 KB, image/png)
2010-05-05 18:24 EDT, David Le Sage
no flags Details

  None (edit)
Description David Le Sage 2010-05-05 02:19:02 EDT
Description of problem:
PackageKit remains on the GNOME Panel.  Hovering over it produces a tool-tip appears stating one package is available. However, if I click on it to open PackageKit, the app confirms that Fedora 13 is full up-to-date and there are no packages to download.  Closing PackageKit, the icon reappears.  I have also run yum update which confirms there are no more updates to download.

Version-Release number of selected component (if applicable):
0.6.3-1

How reproducible:
Every time.

Steps to Reproduce:
1. Alert is on GNOME Panel.  Hovering over it says one package is available.
2. Opening PackageKit confirms system is up-to-date and there is nothing to download.
3. Upon closing PackageKit's window, the alert reappears in the GNOME-Shell.
  
Actual results:
Erroneously reports there is an update available.

Expected results:
Should not appear unless there truly is an update to download from the repo.

Additional info:
Comment 1 David Le Sage 2010-05-05 02:21:47 EDT
Created attachment 411482 [details]
Screenshot showing PackageKit Saying an Update is Available Whilst yum update (in Terminal) Reports Nothing is There
Comment 2 David Le Sage 2010-05-05 02:25:57 EDT
Sorry, I am tired at the end of the day!  That last point should have read:


3. Upon closing PackageKit's window, the alert reappears in the GNOME Panel.

(Thought I should correct it to avoid any confusion with the GNOME 3.0 gnome-shell.)
Comment 3 Mads Kiilerich 2010-05-05 04:17:24 EDT
Did you update any packages "directly" with yum without using PackageKit?
Comment 4 Rui Matos 2010-05-05 10:49:11 EDT
I'm also seeing this behaviour on F13 (and I believe it was like this on F12 already).

And, yes, sometimes I update things simply with a

$ sudo yum update

I think it's a bug either way. Otherwise /usr/bin/yum should just stop being installed by default IMHO.
Comment 5 Richard Hughes 2010-05-05 11:07:28 EDT
If you wait a few minutes, does the icon disappear?
Comment 6 Rui Matos 2010-05-05 11:19:22 EDT
This is what I did just now:

1. The icon appeared at around 14:00 here.
2. I clicked the icon at around 15:30 and opened gpk-update-viewer.
3. With that window opened I ran 'yum update' on a terminal shortly after.
4. When yum finished updating, the gpk-update-viewer notified me that "All software is up to date" -> clicked OK -> closed gpk-update-viewer.
5. The orange updates icon reapears imediatly at that point. If I click it, gpk-update-viewer comes up and tells me "All software is up to date". I click OK and it closes. The icon reappears.

6. The icon has been there for ~40 minutes now.

BTW, the icon's tooltip still says "There are 37 updates available" when I hover the pointer over it.
Comment 7 Mads Kiilerich 2010-05-05 11:34:43 EDT
When manual yum is involved it t looks a lot like my bug 583122 (where the icon doesn't go away) - and perhaps bug 569037.

(Rui, did you intentionally remove the "needinfo?(dlesage@redhat.com)"? We shouldn't steal Davids report ...)
Comment 8 Rui Matos 2010-05-05 12:14:16 EDT
(In reply to comment #7)
> (Rui, did you intentionally remove the "needinfo?(dlesage@redhat.com)"? We
> shouldn't steal Davids report ...)    

Yes, I removed it. But on a second thought it wasn't a good idea "stealing" this bug report. Sorry about that. I'm adding it again.
Comment 9 David Le Sage 2010-05-05 18:11:10 EDT
Hello Mads,

Yes, I updated it directly with yum update as well.  In the past, the PackageKit icon has always disappeared when I have done so.  This time, it has remained permanently visible.


Thanks,


David
Comment 10 David Le Sage 2010-05-05 18:24:49 EDT
Created attachment 411753 [details]
Screenshot showing discrepancy between number of packages PackageKit Says are Available and Those there in Reality.

I just ran yum update again to grab this morning's patches.  This time, PackageKit did disappear after I ran it, so the problem has gone, at least temporarily.


However, I did notice another symptom before it went.  If you look at the attached screenshot, you will see that the PackageKit tooltip states there are 3 packages available yet, when I ran yum, there were considerably more than that.
Comment 11 Rui Matos 2010-05-08 13:26:52 EDT
Trying to get more info, I did this yesterday:

$ killall gpk-update-icon
$ gpk-update-icon --verbose

on a terminal. Now I'm still running the same session and the updates icon showed up with the daily dose. Here's the output:

TI:17:47:54	FI:gpk-auto-refresh.c	FN:gpk_auto_refresh_maybe_refresh_cache,207
 - not when session active
TI:17:47:54	FI:gpk-watch.c	FN:gpk_watch_set_connected,1206
 - dameon has just appeared
TI:17:47:54	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:47:54	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 0
TI:17:47:54	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,220
 - nothing to show
TI:17:47:54	FI:gpk-auto-refresh.c	FN:gpk_auto_refresh_signal_get_updates,134
 - emitting get-updates
TI:17:47:54	FI:gpk-check-update.c	FN:gpk_check_update_auto_get_updates_cb,1251
 - login cb
TI:17:47:54	FI:gpk-auto-refresh.c	FN:gpk_auto_refresh_signal_get_upgrades,147
 - emitting get-upgrades
TI:17:47:54	FI:gpk-watch.c	FN:gpk_watch_set_proxies_ratelimit,1134
 - polling check
TI:17:47:54	FI:gpk-watch.c	FN:gpk_watch_get_proxy_http,1044
 - not using session proxy
TI:17:47:54	FI:gpk-watch.c	FN:gpk_watch_get_proxy_ftp,1002
 - not using session proxy
TI:17:47:54	FI:gpk-watch.c	FN:gpk_watch_set_proxies_ratelimit,1139
 - set proxy_http=(null), proxy_ftp=(null)
TI:17:47:54	FI:gpk-check-update.c	FN:gpk_check_update_set_icon_visibility,102
 - not showing icon as nothing to show
TI:17:47:54	FI:gpk-watch.c	FN:gpk_watch_transaction_list_added_cb,1675
 - added: /314_cbddacbb_data
TI:17:47:54	FI:gpk-watch.c	FN:gpk_watch_progress_cb,1619
 - adding progress 0x8935708
TI:17:47:54	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:47:54	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /314_cbddacbb_data setup (active:1)
TI:17:47:54	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 1
TI:17:47:58	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:47:58	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /314_cbddacbb_data download-repository (active:1)
TI:17:47:58	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 1
TI:17:48:01	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:01	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /314_cbddacbb_data download-packagelist (active:1)
TI:17:48:01	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 1
TI:17:48:16	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:16	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /314_cbddacbb_data download-repository (active:1)
TI:17:48:16	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 1
TI:17:48:21	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:21	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /314_cbddacbb_data info (active:1)
TI:17:48:21	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 1
TI:17:48:31	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:31	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /314_cbddacbb_data download-changelog (active:1)
TI:17:48:31	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 1
TI:17:48:41	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:41	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /314_cbddacbb_data finished (active:1)
TI:17:48:41	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 1
TI:17:48:41	FI:gpk-watch.c	FN:gpk_watch_adopt_cb,1502
 - /314_cbddacbb_data finished (get-updates)
TI:17:48:41	FI:gpk-watch.c	FN:gpk_watch_adopt_cb,1554
 - not showing notification as caller is still present
TI:17:48:41	FI:gpk-check-update.c	FN:gpk_check_update_client_info_to_bitfield,703
 - setroubleshoot normal
TI:17:48:41	FI:gpk-check-update.c	FN:gpk_check_update_client_info_to_bitfield,703
 - setroubleshoot-server normal
TI:17:48:41	FI:gpk-check-update.c	FN:gpk_check_update_client_info_to_bitfield,703
 - parted normal
TI:17:48:41	FI:gpk-check-update.c	FN:gpk_check_update_client_info_to_bitfield,703
 - initscripts normal
TI:17:48:41	FI:gpk-check-update.c	FN:gpk_check_update_client_info_to_bitfield,703
 - kernel-PAE normal
TI:17:48:41	FI:gpk-check-update.c	FN:gpk_check_update_client_info_to_bitfield,703
 - perf normal
TI:17:48:41	FI:gpk-check-update.c	FN:gpk_check_update_client_info_to_bitfield,703
 - kernel-headers normal
TI:17:48:42	FI:gpk-check-update.c	FN:gpk_check_update_get_updates_finished_cb,951
 - not updating as policy NONE
TI:17:48:42	FI:gpk-watch.c	FN:gpk_watch_transaction_list_removed_cb,1695
 - removed: /314_cbddacbb_data
TI:17:48:42	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:42	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 0
TI:17:48:42	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,220
 - nothing to show
TI:17:48:42	FI:gpk-watch.c	FN:gpk_watch_transaction_list_added_cb,1675
 - added: /315_adcbcdde_data
TI:17:48:42	FI:gpk-check-update.c	FN:gpk_check_update_get_distro_upgrades_finished_cb,1296
 - no upgrades
TI:17:48:42	FI:gpk-watch.c	FN:gpk_watch_progress_cb,1619
 - adding progress 0x89358d8
TI:17:48:42	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:42	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /315_adcbcdde_data finished (active:1)
TI:17:48:42	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 1
TI:17:48:42	FI:gpk-watch.c	FN:gpk_watch_transaction_list_removed_cb,1695
 - removed: /315_adcbcdde_data
TI:17:48:42	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:42	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 0
TI:17:48:42	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,220
 - nothing to show

>>> at this point I clicked the icon

TI:17:48:51	FI:gpk-check-update.c	FN:gpk_cupdate_connection_changed_cb,1398
 - update viewer on the bus: 1
TI:17:48:51	FI:gpk-check-update.c	FN:gpk_check_update_set_icon_visibility,116
 - not showing icon as update viewer showing
TI:17:48:51	FI:gpk-check-update.c	FN:gpk_check_update_set_icon_visibility,116
 - not showing icon as update viewer showing
TI:17:48:51	FI:gpk-check-update.c	FN:gpk_check_update_set_icon_visibility,116
 - not showing icon as update viewer showing
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_transaction_list_added_cb,1675
 - added: /317_edddbdca_data
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_progress_cb,1619
 - adding progress 0x8892ad0
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /317_edddbdca_data setup (active:1)
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 1
TI:17:48:51	FI:gpk-check-update.c	FN:gpk_check_update_set_icon_visibility,116
 - not showing icon as update viewer showing
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_transaction_list_added_cb,1675
 - added: /318_ebbcaeaa_data
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_progress_cb,1619
 - adding progress 0x89356c0
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /317_edddbdca_data setup (active:1)
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /318_ebbcaeaa_data wait (active:1)
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 2
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /317_edddbdca_data finished (active:1)
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /318_ebbcaeaa_data wait (active:1)
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 2
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_adopt_cb,1502
 - /317_edddbdca_data finished (get-distro-upgrades)
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_adopt_cb,1548
 - no notification, too quick
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /317_edddbdca_data finished (active:1)
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /318_ebbcaeaa_data setup (active:1)
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 2
TI:17:48:51	FI:gpk-check-update.c	FN:gpk_check_update_set_icon_visibility,116
 - not showing icon as update viewer showing
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_transaction_list_removed_cb,1695
 - removed: /317_edddbdca_data
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /318_ebbcaeaa_data setup (active:1)
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 1
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_transaction_list_added_cb,1675
 - added: /319_bbddcbbe_data
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_progress_cb,1619
 - adding progress 0x8892ad0
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /318_ebbcaeaa_data setup (active:1)
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /319_bbddcbbe_data wait (active:1)
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 2
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /318_ebbcaeaa_data info (active:1)
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /319_bbddcbbe_data wait (active:1)
TI:17:48:51	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 2
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /318_ebbcaeaa_data finished (active:1)
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /319_bbddcbbe_data wait (active:1)
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 2
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_adopt_cb,1502
 - /318_ebbcaeaa_data finished (get-update-detail)
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_adopt_cb,1548
 - no notification, too quick
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /318_ebbcaeaa_data finished (active:1)
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /319_bbddcbbe_data setup (active:1)
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 2
TI:17:48:53	FI:gpk-check-update.c	FN:gpk_check_update_set_icon_visibility,116
 - not showing icon as update viewer showing
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_transaction_list_removed_cb,1695
 - removed: /318_ebbcaeaa_data
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /319_bbddcbbe_data setup (active:1)
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 1
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /319_bbddcbbe_data info (active:1)
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 1
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /319_bbddcbbe_data finished (active:1)
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 1
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_adopt_cb,1502
 - /319_bbddcbbe_data finished (get-details)
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_adopt_cb,1548
 - no notification, too quick
TI:17:48:53	FI:gpk-check-update.c	FN:gpk_check_update_set_icon_visibility,116
 - not showing icon as update viewer showing
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_transaction_list_removed_cb,1695
 - removed: /319_bbddcbbe_data
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 0
TI:17:48:53	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,220
 - nothing to show

$ sudo yum update

[ usual yum output ]

TI:17:59:36	FI:gpk-watch.c	FN:gpk_watch_set_connected,1206
 - dameon has just appeared
TI:17:59:36	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:59:36	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 0
TI:17:59:36	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,220
 - nothing to show
TI:17:59:36	FI:gpk-watch.c	FN:gpk_watch_set_proxies_ratelimit,1134
 - polling check
TI:17:59:36	FI:gpk-watch.c	FN:gpk_watch_get_proxy_http,1044
 - not using session proxy
TI:17:59:36	FI:gpk-watch.c	FN:gpk_watch_get_proxy_ftp,1002
 - not using session proxy
TI:17:59:36	FI:gpk-watch.c	FN:gpk_watch_set_proxies_ratelimit,1139
 - set proxy_http=(null), proxy_ftp=(null)
TI:17:59:42	FI:gpk-check-update.c	FN:gpk_check_update_updates_changed_cb,1138
 - updates changed, so getting new update list in 3s
TI:17:59:42	FI:gpk-check-update.c	FN:gpk_check_update_set_icon_visibility,116
 - not showing icon as update viewer showing
TI:17:59:42	FI:gpk-watch.c	FN:gpk_watch_transaction_list_added_cb,1675
 - added: /320_cccacbcb_data
TI:17:59:42	FI:gpk-watch.c	FN:gpk_watch_progress_cb,1619
 - adding progress 0x8935558
TI:17:59:42	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:59:42	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /320_cccacbcb_data setup (active:1)
TI:17:59:42	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 1
TI:17:59:42	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:59:42	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /320_cccacbcb_data waiting-for-lock (active:1)
TI:17:59:42	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 1
TI:17:59:45	FI:gpk-check-update.c	FN:gpk_check_update_query_updates_changed_cb,1110
 - getting new update list (after we waited a short delay)
TI:17:59:45	FI:gpk-check-update.c	FN:gpk_check_update_query_updates,1093
 - Not checking for updates as already in progress

>>> yum finishes here

TI:17:59:50	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:59:50	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /320_cccacbcb_data info (active:1)
TI:17:59:50	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 1
TI:17:59:52	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:59:52	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /320_cccacbcb_data finished (active:1)
TI:17:59:52	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 1
TI:17:59:52	FI:gpk-watch.c	FN:gpk_watch_adopt_cb,1502
 - /320_cccacbcb_data finished (get-updates)
TI:17:59:52	FI:gpk-watch.c	FN:gpk_watch_adopt_cb,1548
 - no notification, too quick
TI:17:59:52	FI:gpk-check-update.c	FN:gpk_check_update_set_icon_visibility,116
 - not showing icon as update viewer showing
TI:17:59:52	FI:gpk-watch.c	FN:gpk_watch_transaction_list_removed_cb,1695
 - removed: /320_cccacbcb_data
TI:17:59:52	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:17:59:52	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 0
TI:17:59:52	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,220
 - nothing to show

TI:18:00:04	FI:gpk-check-update.c	FN:gpk_cupdate_connection_changed_cb,1398
 - update viewer on the bus: 0

>>> the icon shows up and I click it

TI:18:00:57	FI:gpk-check-update.c	FN:gpk_cupdate_connection_changed_cb,1398
 - update viewer on the bus: 1
TI:18:00:57	FI:gpk-check-update.c	FN:gpk_check_update_set_icon_visibility,116
 - not showing icon as update viewer showing
TI:18:00:57	FI:gpk-check-update.c	FN:gpk_check_update_set_icon_visibility,116
 - not showing icon as update viewer showing
TI:18:00:57	FI:gpk-check-update.c	FN:gpk_check_update_set_icon_visibility,116
 - not showing icon as update viewer showing
TI:18:00:57	FI:gpk-watch.c	FN:gpk_watch_transaction_list_added_cb,1675
 - added: /322_baaeabad_data
TI:18:00:57	FI:gpk-watch.c	FN:gpk_watch_progress_cb,1619
 - adding progress 0x8935480
TI:18:00:57	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:18:00:57	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /322_baaeabad_data setup (active:1)
TI:18:00:57	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 1
TI:18:00:58	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:18:00:58	FI:gpk-watch.c	FN:gpk_watch_task_list_to_status_bitfield,290
 - /322_baaeabad_data finished (active:1)
TI:18:00:58	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 1
TI:18:00:58	FI:gpk-watch.c	FN:gpk_watch_adopt_cb,1502
 - /322_baaeabad_data finished (get-distro-upgrades)
TI:18:00:58	FI:gpk-watch.c	FN:gpk_watch_adopt_cb,1548
 - no notification, too quick
TI:18:00:58	FI:gpk-check-update.c	FN:gpk_check_update_set_icon_visibility,116
 - not showing icon as update viewer showing
TI:18:00:58	FI:gpk-watch.c	FN:gpk_watch_transaction_list_removed_cb,1695
 - removed: /322_baaeabad_data
TI:18:00:58	FI:gpk-watch.c	FN:gpk_watch_refresh_icon,312
 - rescan
TI:18:00:58	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,201
 - refresh tooltip 0
TI:18:00:58	FI:gpk-watch.c	FN:gpk_watch_refresh_tooltip,220
 - nothing to show
TI:18:01:03	FI:gpk-check-update.c	FN:gpk_cupdate_connection_changed_cb,1398
 - update viewer on the bus: 0
Comment 12 Steven M. Parrish 2010-06-04 21:28:05 EDT
This bug has been triaged



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 13 Bug Zapper 2011-06-02 10:29:08 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2011-06-27 12:06:10 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.